Page MenuHomePhabricator

edje_cc: change .mo file write location to be relative to the .edj file
ClosedPublic

Authored by zmike on Jul 19 2018, 5:16 PM.

Details

Summary

previously this would attempt to write the .mo file to the same directory
that the .po file was found in, which is invalid in cases such as distcheck
where the source directory is not writable

@fix

Depends on D6633

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 19 2018, 5:16 PM
zmike requested review of this revision.Jul 19 2018, 5:16 PM
zmike updated this revision to Diff 15805.Jul 23 2018, 4:45 AM
zmike edited the summary of this revision. (Show Details)
zmike updated this revision to Diff 16062.Aug 2 2018, 8:03 AM
zmike edited the summary of this revision. (Show Details)
stefan_schmidt accepted this revision.Aug 8 2018, 5:49 AM

I wanted to apply thsi after 1.20 but I just run into the permission problem again during distcheck. Review looks good. Testing it now.

This revision is now accepted and ready to land.Aug 8 2018, 5:49 AM
This revision was automatically updated to reflect the committed changes.